Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.binding
Class EntityIdentifier

    java.lang.Object
      org.hibernate.metamodel.binding.EntityIdentifier

    public class EntityIdentifier

extends Object

Binds the entity identifier.

Constructor Summary
`EntityIdentifier(EntityBinding entityBinding)` Create an identifier

Method Summary
`IdentifierGenerator` | `createIdentifierGenerator(IdentifierGeneratorFactory factory, Properties properties)`
`IdentifierGenerator` | `getIdentifierGenerator()`
`BasicAttributeBinding` | `getValueBinding()`
`boolean` | `isEmbedded()`
`boolean` | `isIdentifierMapper()`
`void` | `setIdGenerator(IdGenerator idGenerator)`
`void` | `setValueBinding(BasicAttributeBinding attributeBinding)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityIdentifier

    public EntityIdentifier(EntityBinding entityBinding)

  Create an identifier

  Parameters:
    `entityBinding` - the entity binding for which this instance is the id

Method Detail

### getValueBinding

    public BasicAttributeBinding getValueBinding()

### setValueBinding

    public void setValueBinding(BasicAttributeBinding attributeBinding)

### setIdGenerator

    public void setIdGenerator(IdGenerator idGenerator)

### isEmbedded

    public boolean isEmbedded()

### isIdentifierMapper

    public boolean isIdentifierMapper()

### createIdentifierGenerator

    public IdentifierGenerator createIdentifierGenerator(IdentifierGeneratorFactory factory,
                                                         Properties properties)

### getIdentifierGenerator

    public IdentifierGenerator getIdentifierGenerator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.